Skip to main content
A Shield information barrier in Box defines an ethical wall. An ethical wall is a mechanism that prevents exchanges or communication that could lead to conflicts of interest.

List of Shield Information Barriers

List of Shield Information Barrier objects.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
entriesarray of Shield information barrierNoA list of shield information barrier objects.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "entries": [
    {
      "id": "11446498",
      "type": "shield_information_barrier",
      "enterprise": {
        "id": "1910967",
        "type": "enterprise"
      },
      "status": "draft",
      "created_at": "2020-06-26T18:44:45.869Z",
      "created_by": {
        "id": "11446498",
        "type": "user"
      },
      "updated_at": "2020-07-26T18:44:45.869Z",
      "updated_by": {
        "id": "11446498",
        "type": "user"
      },
      "enabled_at": "2020-07-26T18:44:45.869Z",
      "enabled_by": {
        "id": "11446498",
        "type": "user"
      }
    }
  ]
}

Shield information barrier

A standard representation of a shield information barrier object.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for the shield information barrier.
typeenum<string>NoThe type of the shield information barrier. Available options: shield_information_barrier.
enterpriseEnterpriseNoThe type and id of enterprise this barrier is under.
statusenum<string>NoStatus of the shield information barrier. Available options: draft, pending, disabled, enabled, invalid.
created_atstringNoISO date time string when this shield information barrier object was created.
created_byUser (Base)NoThe user who created this shield information barrier.
updated_atstringNoISO date time string when this shield information barrier was updated.
updated_byUser (Base)NoThe user that updated this shield information barrier.
enabled_atstringNoISO date time string when this shield information barrier was enabled.
enabled_byUser (Base)NoThe user that enabled this shield information barrier.
Example
{
  "id": "11446498",
  "type": "shield_information_barrier",
  "enterprise": {
    "id": "1910967",
    "type": "enterprise"
  },
  "status": "draft",
  "created_at": "2020-06-26T18:44:45.869Z",
  "created_by": {
    "id": "11446498",
    "type": "user"
  },
  "updated_at": "2020-07-26T18:44:45.869Z",
  "updated_by": {
    "id": "11446498",
    "type": "user"
  },
  "enabled_at": "2020-07-26T18:44:45.869Z",
  "enabled_by": {
    "id": "11446498",
    "type": "user"
  }
}

Shield information barrier (Base)

A base representation of a shield information barrier object.
PropertyTypeRequiredDescription
idstringNoThe unique identifier for the shield information barrier.
typeenum<string>NoThe type of the shield information barrier. Available options: shield_information_barrier.
Example
{
  "id": "11446498",
  "type": "shield_information_barrier"
}
Last modified on July 9, 2026